Bug 173409 - net/netatalk3 fails to compile on event2 library
net/netatalk3 fails to compile on event2 library
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 23:00 UTC by ari
Modified: 2012-12-31 03:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ari 2012-11-05 23:00:01 UTC
Cannot compile the netatalk3 port. Note that I have to use DISABLE_VULNERABILITIES=yes to compile it.

gmake[3]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc/cnid_dbd'
Making all in netatalk
gmake[3]: Entering directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc/netatalk'
  CC     netatalk-netatalk.o
netatalk.c:36:26: error: event2/event.h: No such file or directory
netatalk.c: In function 'libevent_logmsg_cb':
netatalk.c:62: error: '_EVENT_LOG_DEBUG' undeclared (first use in this function)
netatalk.c:62: error: (Each undeclared identifier is reported only once
netatalk.c:62: error: for each function it appears in.)
netatalk.c:65: error: '_EVENT_LOG_MSG' undeclared (first use in this function)
netatalk.c:68: error: '_EVENT_LOG_WARN' undeclared (first use in this function)
netatalk.c:71: error: '_EVENT_LOG_ERR' undeclared (first use in this function)
netatalk.c: At top level:
netatalk.c:85: error: expected ')' before 'fd'
netatalk.c:113: error: expected ')' before 'fd'
netatalk.c:120: error: expected ')' before 'fd'
netatalk.c:153: error: expected ')' before 'fd'
netatalk.c: In function 'main':
netatalk.c:277: warning: implicit declaration of function 'event_set_log_callback'
netatalk.c:278: warning: implicit declaration of function 'event_set_fatal_callback'
netatalk.c:292: warning: implicit declaration of function 'event_base_new'
netatalk.c:292: warning: assignment makes pointer from integer without a cast
netatalk.c:297: warning: implicit declaration of function 'event_new'
netatalk.c:297: error: 'EV_SIGNAL' undeclared (first use in this function)
netatalk.c:297: error: 'sigterm_cb' undeclared (first use in this function)
netatalk.c:297: warning: assignment makes pointer from integer without a cast
netatalk.c:298: error: 'EV_PERSIST' undeclared (first use in this function)
netatalk.c:298: error: 'sigquit_cb' undeclared (first use in this function)
netatalk.c:298: warning: assignment makes pointer from integer without a cast
netatalk.c:299: error: 'sigchld_cb' undeclared (first use in this function)
netatalk.c:299: warning: assignment makes pointer from integer without a cast
netatalk.c:300: error: 'timer_cb' undeclared (first use in this function)
netatalk.c:300: warning: assignment makes pointer from integer without a cast
netatalk.c:305: warning: implicit declaration of function 'event_add'
netatalk.c:317: warning: implicit declaration of function 'event_base_dispatch'
gmake[3]: *** [netatalk-netatalk.o] Error 1
gmake[3]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc/netatalk'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1'
gmake: *** [all] Error 2
*** Error code 1

Fix: 

I tried reinstalling the libevent2 port, but that did not help.
How-To-Repeat: # portmaster -o net/netatalk3 net/netatalk
Comment 1 Edwin Groothuis freebsd_committer 2012-11-08 23:51:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2012-12-16 21:44:54 UTC
State Changed
From-To: open->closed

Reinstall devel/libevent2.  Netatalk uses the port's version versus its own.
Comment 3 ari 2012-12-16 23:57:40 UTC
Please don't close this. I've already tried reinstalling the event2 port as you can see in the notes above. I've also tried this on another freebsd 9.0 machine with no more success. Marcus, are you sure you don't have something installed in a not-standard place on your machine?
Comment 4 ari 2012-12-31 03:21:52 UTC
The original problem is now resolved, thanks. And also the portaudit problem. However now I get a new compile error:

gmake[3]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc/cnid_dbd'
Making all in netatalk
gmake[3]: Entering directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc/netatalk'
   CC     netatalk-netatalk.o
In file included from netatalk.c:24:
/usr/local/include/atalk/adouble.h:215: error: field 'lock' has incomplete type
netatalk.c: In function 'netatalk_exit':
netatalk.c:200: error: '_PATH_NETATALK_LOCK' undeclared (first use in this function)
netatalk.c:200: error: (Each undeclared identifier is reported only once
netatalk.c:200: error: for each function it appears in.)
netatalk.c: In function 'main':
netatalk.c:262: error: '_PATH_NETATALK_LOCK' undeclared (first use in this function)
gmake[3]: *** [netatalk-netatalk.o] Error 1
gmake[3]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc/netatalk'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1/etc'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/net/netatalk3/work/netatalk-3.0.1'
gmake: *** [all] Error 2
*** Error code 1


I have all options disabled other than PAM.


Ari